<?xml version="1.0" encoding="UTF-8"?>
<featuremodels>
<featuremodel name="nivreeager">
		<feature>InputColumn(POSTAG, Stack[0])</feature>
		<feature>InputColumn(POSTAG, Input[0])</feature>
		<feature>InputColumn(POSTAG, Input[1])</feature>
		<feature>InputColumn(POSTAG, Input[2])</feature>
		<feature>InputColumn(POSTAG, Input[3])</feature>
		<feature>InputColumn(POSTAG, Stack[1])</feature>
                <feature>InputColumn(POSTAG, Stack[2])</feature>
                <feature>InputColumn(POSTAG, head1(Stack[1]))</feature>
                <feature>InputColumn(POSTAG, head2(Stack[1]))</feature>
                <feature>InputColumn(POSTAG, head3(Stack[1]))</feature>
                
                <feature>InputColumn(CPOSTAG, Stack[0])</feature>
                <feature>InputColumn(CPOSTAG, Input[0])</feature>


                <feature>OutputColumn(DEPREL, Stack[0])</feature>
                <feature>OutputColumn(DEPREL, rdep(Stack[0]))</feature>
                <feature>OutputColumn(DEPREL, ldep(Input[0]))</feature>

                <feature>OutputColumn3T(DEPREL, Stack[0])</feature>
                <feature>OutputColumn3T(DEPREL, rdep(Stack[0]))</feature>
                <feature>OutputColumn3T(DEPREL, ldep(Input[0]))</feature>
       
                <feature>OutputColumn3T2(DEPREL, Stack[0])</feature>
                <feature>OutputColumn3T2(DEPREL, rdep(Stack[0]))</feature>
                <feature>OutputColumn3T2(DEPREL, ldep(Input[0]))</feature>
     
                

                <feature>InputColumn(FORM, Stack[0])</feature>
                <feature>InputColumn(FORM, Input[0])</feature>
                <feature>InputColumn(FORM, Input[1])</feature>
    		<feature>InputColumn(FORM, Input[2])</feature>
                <feature>InputColumn(FORM, head1(Stack[0]))</feature>
                <feature>InputColumn(FORM, head2(Stack[0]))</feature>
 		<feature>InputColumn(FORM, head3(Stack[0]))</feature>
  

                <feature>InputColumn(FEATS, Stack[0])</feature>
                <feature>InputColumn(FEATS, Input[0])</feature>
                
                <feature>InputColumn(LEMMA, Stack[0])</feature>
                <feature>InputColumn(LEMMA, rdep(Stack[0]))</feature>
                <feature>InputColumn(LEMMA, ldep(Input[0]))</feature>
                <!--<feature>OutputColumn(DEPREL, Input[0])</feature>-->
                <feature>InputColumn(POSTAG, head1(Input[0]))</feature>
                <feature>InputColumn(POSTAG, head2(Input[0]))</feature>
		<feature>InputColumn(POSTAG, head3(Input[0]))</feature>

               

  
               
 <feature>OutputArcRelated(DEPREL, Stack[0], Input[0])</feature>

    <feature>OutputColumn3TOneHead(DEPREL,Stack[0])</feature>

    </featuremodel>
</featuremodels>

